* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins",sans-serif;
}
body{
    background-color: #161616;
}
header{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    padding: 40px 100px;
    z-index: 1000;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
header .logo{
    color: #fff;
    text-transform: uppercase;
    cursor: pointer;
}
.toggle{
    position: relative;
    width: 60px;
    height: 60px;
    color: #fff;
    font-size: 27px;
    background: url(src/bar.png);
    background-repeat: no-repeat;
    background-size: 30px;
    background-position: center;
    cursor: pointer;
}
.toggle.active{
    background: url(src/cross.png);
    background-size: 25px;
    background-position: center;
    cursor: pointer;
}

.showcase{
    height: 100vh;
    position: absolute;
    right: 0;
    width: 100%;
    min-height: 100vh;
    padding: 100px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: #111;
    transition: 0.5s;
    z-index: 2;
}
.showcase.active{
    right: 300px;
}

.showcase video{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0.8;
}

.overlay{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #666;
    mix-blend-mode: overlay;
}

.text{
    position: relative;
    z-index: 10;
}

.text h3{
    font-size: 4rem;
    font-weight: 700;
    color: #fff;
    line-height: 1rem;
    text-transform: uppercase;
}
.text p{
    font-size: 1.1rem;
    color: rgba(240, 236, 236, 0.747);
    margin: 20px 0;
    font-weight: 400;
    max-width: 700px;
}

.text a{
    display: inline-block;
    font-size: 1rem;
    background: #fff;
    padding: 10px 30px;
    text-transform: uppercase;
    text-decoration: none;
    font-weight: 500;
    margin-top: 10px;
    color: #111;
    letter-spacing: 2px;
    transition: 0.3s;
}

.text a:hover{
    letter-spacing: 10px;
    color: #fff;
    background-color: #259cd7;
}

.social-icons{
    position: absolute;
    z-index: 10;
    bottom: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.social-icons li a{
    display: inline-block;
    margin-right: 20px;
    transform: scale(0.5);
    transition: 0.5s;
    font-size: 50px;
    color: #fff;
}
.social-icons li a:hover{
    transform: scale(0.5) translateY(-20px);
    color: #259cd7;
}

.menu{
    position: absolute;
    top: 0;
    right: 0;
    width: 300px;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.menu ul{
    position: relative;
}
.menu ul li{
    list-style: none;
    margin: 20px;
}
.menu ul li a{
    text-decoration: none;
    font-size: 24px;
    color: #fff;
}
.menu ul li a:hover{
    color: #259cd7;
}

@media (max-width:990px){

    .showcase,
    .showcase header{
        padding: 2rem;
    }

    .text h3{
        font-size: 2rem;
    }
}
@media (max-width:420px){

    .showcase,
    .showcase header{
        padding: 1.5rem;
    }

    .text h3{
        font-size: 1.5rem;
    }
}